<template>
    <div id="content">
        <div v-for="(question, i) in questions"
             v-bind:item="question" v-bind:index="i" v-bind:key="i">
            <section id="question">
                <header>
                    <h5 id="questionTitle">{{question.question}}</h5>
                </header>
                <div>
                    <div id="correctAnswer">Correct answer: {{question.correct_answer}}</div>
                    <div id="actualAnswer">Your answer: <span class="answer"
                            v-bind:class="{
                        correctAnswer: (question.correct_answer === answers[i]),
                        wrongAnswer: (question.correct_answer !== answers[i])
                    }">{{answers[i]}}</span></div>
                </div>
            </section>
        </div>
    </div>
</template>

<script>
    export default {
        name: "QuizResults",
        props: {
            answers: Array, questions: Array
        }
    }
</script>

<style scoped>
    #content {
        font-weight: bold;
        text-align: left;
        padding: 10px 20px 10px 20px;
    }
    #question {
        margin-top: 30px;
        margin-bottom: 10px;
    }
    .answer {
        color: white;
        padding: 2px 5px;
        border-radius: 10px;
    }
    .correctAnswer {
        background-color: limegreen;
    }
    .wrongAnswer {
        background-color: red;
    }
</style>